{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Новости</h2>
    <p>Технологии</p>
    <hr>
    <a href="admin/news/add" class="btn btn-primary" role="button">Добавить новость</a>
        <form name="admin-news-filter" method="GET" enctype= "multipart/form-data">
            <div class="btn-group" role="group" aria-label="...">
                <div class="form-group">
                    <label for="sel1">Категория:</label>
                    <select class="form-control" name="category" >
                        {% for category in categories %}
                            {% for news in news %}
                                {% if loop.first %}
                                    {{ news.category.title }}
                            <option value="{{ category.id }}" {% if category.id == news.category.id %}selected{% endif %}>{{ category.title }}</option>
                                {% endif %}
                            {% endfor %}
                        {% endfor %}
                    </select>
                </div>
                <input type="hidden" name="page" value="{{ current_page }}">
                <input type="submit" class="btn btn-success btn-md btn-block" value="Фильтровать">
            </div>
        </form>

    <hr>
    <div class="row">
        <table class="table">
            <thead>
            <tr>
                <th>
                    id
                </th>
                <th>
                    Изображение
                </th>
                <th>
                    Заголовок
                </th>
                <th>
                    Краткое описание
                </th>
                <th>
                    Действия
                </th>
            </tr>
            </thead>
            <tbody>
            {% for news in news %}
            <tr>
                <td>
                    {{ news.id }}
                </td>
                <td>
                    <img src="{{ news.front_img }}" style="width: 200px;">
                </td>
                <td>
                    <a href="{{ news.category.query }}/{{ news.id }}" target="_blank">{{ news.title }}</a>
                </td>
                <td>
                    {{ news.description }}
                </td>
                <td>
                    <a href="admin/news/edit/{{ news.id }}" class="btn btn-default" role="button">Редактировать</a>
                    <a href="admin/news/delete/{{ news.id }}" class="btn btn-danger" role="button">Удалить</a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    <nav aria-label="Page navigation">
        <ul class="pagination">
            <li {% if current_page == 1 %}class="disabled"{% endif %}>
                <a {% if current_page == 1 %}{% else %}href="admin/news?category={{ category_selected }}&page={{ current_page - 1 }}{% endif %}" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>
            {% for page in 1..pages_number %}
                <li {% if current_page == page %}class="active"{% endif %}><a href="admin/news?category={{ category_selected }}&page={{ page }}">{{ page }}</a></li>
            {% endfor %}
            <li {% if current_page == pages_number %}class="disabled"{% endif %}>
                <a {% if current_page == pages_number %}{% else %} href="admin/news?category={{ category_selected }}&page={{ current_page + 1 }}{% endif %}" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>
        </ul>
    </nav>

{% endblock %}